This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 142092 - Error messages are shown, when "gcc" run.
Error messages are shown, when "gcc" run.
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 03:46 EST by L3support
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 05:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description L3support 2004-12-07 03:46:33 EST
Description of problem:

Error messages are shown, when we compile using "gcc" on RHEL4-Beta2.
The messages are not shown on RHEL4-Beta1.

We investigated about error message, 
"libgcc.a" and "libgcc_eh.a" did not exist.

The place where the library exist differs.
 Beat2: "/usr/lib/gcc-lib/ia64-redhat-linux/3.2.3".
 Beat1: "/usr/lib/gcc-lib/ia64-redhat-linux/3.3.4".

Temporarily, we have linked to the library
in "/usr/lib/gcc-lib/ia64-redhat-linux/3.2.3".

What do we perform, in order to compile properly ?

Version-Release number of selected component (if applicable):

# rpm -qf /usr/lib/gcc-lib/ia64-redhat-linux/3.3.4/

 [Beta2]
  compat-gcc-32-c++-3.2.3-46.1

 [Beta1]
  compat-libstdc++-devel-8-3.3.4.2
  compat-gcc-8-3.3.4.2
  compat-gcc-c++-8-3.3.4.2
  compat-gcc-g77-8-3.3.4.2

# rpm -qf /usr/lib/gcc-lib/ia64-redhat-linux/3.2.3/

 [Beta2]
 compat-gcc-32-3.2.3-46.1
 compat-gcc-32-c++-3.2.3-46.1

How reproducible:
Always

Steps to Reproduce:
1."# ls /usr/lib/gcc-lib/ia64-redhat-linux/3.3.4"
  on Beat2/Beat1
2.
3.
  
Actual results:
"libgcc.a" and "libgcc_eh.a" did not exist
in "/usr/lib/gcc-lib/ia64-redhat-linux/3.3.4".

Expected results:
 - compile properly.

Additional info:
Comment 1 Jakub Jelinek 2004-12-07 04:54:00 EST
Hmm, can you please post what you were actually trying to run and what errors
did gcc output?  It is expected that there is no libgcc.a nor libgcc_eh.a in
/usr/lib/gcc-lib/ia64-redhat-linux/3.3.4 in RHEL4 beta2+, 3.3.x compiler is not
included.  If you are using gcc or g++ though, then /usr/lib/gcc/ia64-redhat-linux/3.4.[23]/ directory is used and that one is supposed to have these libraries.  If you are using gcc32 or g++32, then
/usr/lib/gcc-lib/ia64-redhat-linux/3.2.3 is used.
Comment 2 Jakub Jelinek 2005-01-03 05:22:54 EST
Closing as WORKSFORME.  If you think there is some bug, please try to explain
it more clearly and reopen.  But note that there is no G++ 3.3.x shipped in RHEL4.

Note You need to log in before you can comment on or make changes to this bug.